package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import javax.persistence.Column;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 权限组
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class PrivilegeGroupDomain implements JsonSerializable {

	private static final long serialVersionUID = -3654724059677675683L;

	/**
	 * 权限组ID
	 */
	private Long id;

	/**
	 * 权限组名称
	 */
	private String name;

	/**
	 * 权限组编码
	 */
	private String code;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 顶级机构名称
	 */
	private String rootOrgName;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext1;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext2;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext3;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext4;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

}
