package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.CourseLevel;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Description 系统通知
 * @Author lideyin
 * @Date 2020/8/16 11:00
 * @Version 1.0
 */
public class SysNoticeDomain implements JsonSerializable {

	private static final long serialVersionUID = -6261302618070108336L;

	private Long id;

	/**
	 * 组织机构id,(-1代表所有组织机构)
	 */
	private Long rootOrgId;

	/**
	 * 通知内容
	 */
	private String content;

	/**
	 * 生效开始时间
	 */
	private String startTime;
	/**
	 * 生效截止时间
	 */
	private String endTime;

	/**
	 * 通知标题
	 */
	private String title;

	/**
	 * 启用标识
	 */
	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}
}
