package cn.com.qmth.examcloud.core.basic.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.FacesetEntity;

public interface FacesetRepo
		extends
			JpaRepository<FacesetEntity, Long>,
			QueryByExampleExecutor<FacesetEntity>,
			JpaSpecificationExecutor<FacesetEntity> {

	FacesetEntity findByFacesetToken(String facesetToken);

}
