package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.api.commons.enums.PrivilegeGroupType;
import cn.com.qmth.examcloud.core.basic.dao.entity.PrivilegeGroupEntity;

public interface PrivilegeGroupRepo
		extends
			JpaRepository<PrivilegeGroupEntity, Long>,
			QueryByExampleExecutor<PrivilegeGroupEntity>,
			JpaSpecificationExecutor<PrivilegeGroupEntity> {

	PrivilegeGroupEntity findByCode(String code);

	List<PrivilegeGroupEntity> findAllByRootOrgIdIsNullOrderById();

	PrivilegeGroupEntity findByRootOrgIdAndType(Long rootOrgId, PrivilegeGroupType type);

	List<PrivilegeGroupEntity> findAllByType(PrivilegeGroupType type);

}
