package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.ResourceEntity;

public interface ResourceRepo
		extends
			JpaRepository<ResourceEntity, Long>,
			QueryByExampleExecutor<ResourceEntity>,
			JpaSpecificationExecutor<ResourceEntity> {
	ResourceEntity findByRootOrgIdAndFilePath(Long rootOrgId, String filePath);
	List<ResourceEntity> findByRootOrgIdAndParentId(Long rootOrgId, Long parentId);
	int countByRootOrgIdAndParentId(Long rootOrgId, Long parentId);
}
