package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.SpecialtyEntity;

public interface SpecialtyRepo
		extends
			JpaRepository<SpecialtyEntity, Long>,
			QueryByExampleExecutor<SpecialtyEntity>,
			JpaSpecificationExecutor<SpecialtyEntity> {

	SpecialtyEntity findByRootOrgIdAndCode(Long rootOrgId, String code);

	List<SpecialtyEntity> findByRootOrgId(Long rootOrgId);

	int countByRootOrgIdAndNameLike(Long rootOrgId,String name);
}
