package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.StudentCodeEntity;

/**
 * Created by songyue on 17/1/13.
 */
public interface StudentCodeRepo
		extends
			JpaRepository<StudentCodeEntity, Long>,
			QueryByExampleExecutor<StudentCodeEntity>,
			JpaSpecificationExecutor<StudentCodeEntity> {

	StudentCodeEntity findByStudentCodeAndRootOrgId(String studentCode, Long rootOrgId);

	List<StudentCodeEntity> findByStudentId(Long studentId);

}
