package cn.com.qmth.examcloud.core.basic.service;

import java.util.List;

import cn.com.qmth.examcloud.core.basic.dao.entity.FacesetEntity;
import cn.com.qmth.examcloud.core.basic.dao.entity.StudentFaceEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.StudentFaceInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface FaceService {

	/**
	 * 保存学生人脸信息
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	StudentFaceEntity saveStudentFace(StudentFaceInfo info);

	/**
	 * 获取可用的facecset集合
	 *
	 * @author WANGWEI
	 * @return
	 */
	List<FacesetEntity> getUsableFacesetList();

}
