package cn.com.qmth.examcloud.core.basic.service;

import cn.com.qmth.examcloud.core.basic.dao.enums.LoginRuleType;
import cn.com.qmth.examcloud.core.basic.service.bean.LoginRuleForm;
import cn.com.qmth.examcloud.core.basic.service.bean.LoginRuleInfo;
import cn.com.qmth.examcloud.core.basic.service.bean.LoginRuleQuery;
import org.springframework.data.domain.Page;

import java.util.List;

public interface LoginRuleService {

    List<LoginRuleInfo> getLoginRuleTopList();

    Page<LoginRuleInfo> getLoginRuleList(LoginRuleQuery req);

    void addOrUpdateLoginRule(LoginRuleForm req);

    void deleteLoginRuleById(Long id);

    void refreshAllLoginRule();

    boolean isLoginRuleAllow(Long rootOrgId, LoginRuleType type);

}