package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.PrivilegeGroupType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.web.helpers.tree.EleTreeNode;
import cn.com.qmth.examcloud.web.helpers.tree.TreeNode;
import java.util.List;

import java.util.Date;

/**
 * @Description 组织机构权限树
 * @Author lideyin
 * @Date 2020/5/11 15:50
 * @Version 1.0
 */
public class OrgPrivilegeTreeDomain implements JsonSerializable {

	private static final long serialVersionUID = 6079872470102312782L;


	/**
	 * 权限组ID
	 */
	private Long privilegeGroupId;

	/**
	 * 权限组类型
	 */
	private String privilegeGroupType;

	/**
	 * 组织机构拥有的权限id
	 */
	private List<Long> ownedPrivilegeIds;

	/**
	 * 权限树
	 */
	private EleTreeNode treeData;

	public Long getPrivilegeGroupId() {
		return privilegeGroupId;
	}

	public void setPrivilegeGroupId(Long privilegeGroupId) {
		this.privilegeGroupId = privilegeGroupId;
	}

	public String getPrivilegeGroupType() {
		return privilegeGroupType;
	}

	public void setPrivilegeGroupType(String privilegeGroupType) {
		this.privilegeGroupType = privilegeGroupType;
	}

	public EleTreeNode getTreeData() {
		return treeData;
	}

	public void setTreeData(EleTreeNode treeData) {
		this.treeData = treeData;
	}

	public List<Long> getOwnedPrivilegeIds() {
		return ownedPrivilegeIds;
	}

	public void setOwnedPrivilegeIds(List<Long> ownedPrivilegeIds) {
		this.ownedPrivilegeIds = ownedPrivilegeIds;
	}
}
