package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 用户表单
 *
 * @author WANGWEI
 * @date 2018年6月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UserFormDomain implements JsonSerializable {

	private static final long serialVersionUID = -1326157272669439949L;

	private Long id;

	private Long rootOrgId;

	private String rootOrgName;

	private Long orgId;

	private String orgName;

	private String name;

	private String loginName;

	private String phoneNumber;

	private Boolean enable;

	private String password;
	
	/**
	 * 密码虚弱
	 */
	private Boolean passwordWeak;

	private List<Long> roleIds;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public List<Long> getRoleIds() {
		return roleIds;
	}

	public void setRoleIds(List<Long> roleIds) {
		this.roleIds = roleIds;
	}

	public Boolean getPasswordWeak() {
		return passwordWeak;
	}

	public void setPasswordWeak(Boolean passwordWeak) {
		this.passwordWeak = passwordWeak;
	}

	
}
