package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.AppEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月11日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface AppRepo extends JpaRepository<AppEntity, Long>, QueryByExampleExecutor<AppEntity> {

	@Query(value = "select id,code from AppEntity a where id >= :beginId and id < :endId order by id ASC")
	List<Object[]> findIdList(@Param("beginId") Long beginId, @Param("endId") Long endId);
}
