package cn.com.qmth.examcloud.core.basic.dao;

import cn.com.qmth.examcloud.core.basic.dao.entity.LoginRuleEntity;
import cn.com.qmth.examcloud.core.basic.dao.enums.LoginRuleType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface LoginRuleRepo extends JpaRepository<LoginRuleEntity, Long>, JpaSpecificationExecutor<LoginRuleEntity> {

    List<LoginRuleEntity> findByType(LoginRuleType type);

    List<LoginRuleEntity> findByRootOrgIdAndType(Long rootOrgId, LoginRuleType type);

}