package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.OrgPropertyEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface OrgPropertyRepo
		extends
			JpaRepository<OrgPropertyEntity, Long>,
			QueryByExampleExecutor<OrgPropertyEntity>,
			JpaSpecificationExecutor<OrgPropertyEntity> {

	OrgPropertyEntity findByOrgIdAndKeyId(Long orgId, Long keyId);

	List<OrgPropertyEntity> findByOrgId(Long orgId);

}
