package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.RoleEntity;

public interface RoleRepo
		extends
			JpaRepository<RoleEntity, Long>,
			QueryByExampleExecutor<RoleEntity>,
			JpaSpecificationExecutor<RoleEntity> {

	RoleEntity findByCodeAndRootOrgIdIsNull(String code);

	RoleEntity findByCode(String code);

	RoleEntity findByNameAndRootOrgId(String name, Long rootOrgId);

	RoleEntity findByCodeAndRootOrgId(String code, Long rootOrgId);

	List<RoleEntity> findByRootOrgIdIsNull();

	List<RoleEntity> findByRootOrgId(Long rootOrgId);

}
