package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.RootOrgPrivilegeRelationEntity;
import cn.com.qmth.examcloud.core.basic.dao.entity.RootOrgPrivilegeRelationPK;

public interface RootOrgPrivilegeRelationRepo
		extends
			JpaRepository<RootOrgPrivilegeRelationEntity, RootOrgPrivilegeRelationPK>,
			QueryByExampleExecutor<RootOrgPrivilegeRelationEntity>,
			JpaSpecificationExecutor<RootOrgPrivilegeRelationEntity> {

	void deleteByRootOrgIdAndGroupId(Long rootOrgId, Long groupId);

	void deleteByPrivilegeId(Long privilegeId);

	List<RootOrgPrivilegeRelationEntity> findAllByRootOrgId(Long rootOrgId);

	List<RootOrgPrivilegeRelationEntity> findAllByRootOrgIdAndGroupId(Long rootOrgId, Long groupId);

}
