package cn.com.qmth.examcloud.core.basic.dao;

import cn.com.qmth.examcloud.core.basic.dao.entity.SysNoticeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

/**
 * @Description 系统通知
 * @Author lideyin
 * @Date 2020/8/16 10:42
 * @Version 1.0
 */
public interface SysNoticeRepo
        extends
        JpaRepository<SysNoticeEntity, Long>,
        QueryByExampleExecutor<SysNoticeEntity>,
        JpaSpecificationExecutor<SysNoticeEntity> {

	SysNoticeEntity findTopByRootOrgIdOrderByIdDesc(Long rootOrgId);
}
