package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.WithIdAndStatusJpaEntity;

/**
 * 短信装配
 *
 * @author Lideyin
 * @date 2019年3月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_SMS_ASSEMBLY", indexes = {
		@Index(name = "IDX_B_SMS_021000", columnList = "code", unique = true),
		@Index(name = "IDX_B_SMS_021001", columnList = "name", unique = true)})
public class SmsAssemblyEntity extends WithIdAndStatusJpaEntity {

	private static final long serialVersionUID = 3155706159257187078L;

	/**
	 * 短信装配编码
	 */
	@Column(nullable = false, length = 30)
	private String code;

	/**
	 * 短信装配名称
	 */
	@Column(nullable = false, length = 30)
	private String name;

	/**
	 * 短信样例
	 */
	@Column(nullable = false, length = 200)
	private String example;

	/**
	 * 短信模板
	 */
	@Column(nullable = false, length = 200)
	private String template;

	/**
	 * 扩展属性1
	 */
	@Column(nullable = true, length = 200)
	private String ext1;

	/**
	 * 扩展属性2
	 */
	@Column(nullable = true, length = 200)
	private String ext2;

	/**
	 * 扩展属性3
	 */
	@Column(nullable = true, length = 200)
	private String ext3;

	/**
	 * 扩展属性4
	 */
	@Column(nullable = true, length = 200)
	private String ext4;

	/**
	 * 扩展属性5
	 */
	@Column(nullable = true, length = 200)
	private String ext5;

	/**
	 * 扩展属性6
	 */
	@Column(nullable = true, length = 200)
	private String ext6;

	/**
	 * 扩展属性7
	 */
	@Column(nullable = true, length = 200)
	private String ext7;

	/**
	 * 扩展属性8
	 */
	@Column(nullable = true, length = 200)
	private String ext8;

	/**
	 * 扩展属性9
	 */
	@Column(nullable = true, length = 200)
	private String ext9;

	/**
	 * 扩展属性10
	 */
	@Column(nullable = true, length = 200)
	private String ext10;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExample() {
		return example;
	}

	public void setExample(String example) {
		this.example = example;
	}

	public String getTemplate() {
		return template;
	}

	public void setTemplate(String template) {
		this.template = template;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

	public String getExt6() {
		return ext6;
	}

	public void setExt6(String ext6) {
		this.ext6 = ext6;
	}

	public String getExt7() {
		return ext7;
	}

	public void setExt7(String ext7) {
		this.ext7 = ext7;
	}

	public String getExt8() {
		return ext8;
	}

	public void setExt8(String ext8) {
		this.ext8 = ext8;
	}

	public String getExt9() {
		return ext9;
	}

	public void setExt9(String ext9) {
		this.ext9 = ext9;
	}

	public String getExt10() {
		return ext10;
	}

	public void setExt10(String ext10) {
		this.ext10 = ext10;
	}

}
