package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 角色
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_USER_ROLE_RELATION")
@IdClass(UserRoleRelationPK.class)
public class UserRoleRelationEntity extends JpaEntity {

	private static final long serialVersionUID = 5623631699393069659L;

	@Id
	private Long userId;

	@Id
	private Long roleId;

	/**
	 * 构造函数
	 *
	 */
	public UserRoleRelationEntity() {
		super();
	}

	/**
	 * 构造函数
	 *
	 * @param userId
	 * @param roleId
	 */
	public UserRoleRelationEntity(Long userId, Long roleId) {
		super();
		this.userId = userId;
		this.roleId = roleId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getRoleId() {
		return roleId;
	}

	public void setRoleId(Long roleId) {
		this.roleId = roleId;
	}

}
