package cn.com.qmth.examcloud.core.basic.service;

import java.io.File;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.basic.dao.entity.CourseEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.CourseInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface CourseService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param courseInfo
	 * @return
	 */
	CourseEntity saveCourse(CourseInfo courseInfo);

	/**
	 * 导入课程
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param file
	 * @return
	 */
	List<Map<String, Object>> importCourse(Long rootOrgId, File file);

}
