package cn.com.qmth.examcloud.core.basic.service;

import java.io.File;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.basic.dao.entity.SpecialtyEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.SpecialtyInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface SpecialtyService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	SpecialtyEntity saveSpecialty(SpecialtyInfo info);

	/**
	 * 导入专业
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param file
	 * @return
	 */
	public List<Map<String, Object>> importSpecialty(Long rootOrgId, File file);

}
