/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-19 14:04:05
 */

package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.basic.dao.enums.LoginRuleType;
import io.swagger.annotations.ApiModelProperty;

public class LoginRuleForm implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "学校ID")
    protected Long rootOrgId;

    @ApiModelProperty("规则类型")
    protected LoginRuleType type;

    @ApiModelProperty("是否开放（白名单）")
    protected Boolean allow;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public LoginRuleType getType() {
        return type;
    }

    public void setType(LoginRuleType type) {
        this.type = type;
    }

    public Boolean getAllow() {
        return allow;
    }

    public void setAllow(Boolean allow) {
        this.allow = allow;
    }

}
