package cn.com.qmth.examcloud.core.basic.service.bean.datarule;

import io.swagger.annotations.ApiModelProperty;

public class UserDataRuleForCourseInfo extends UserDataRuleInfo {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "课程编码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程层次")
    private String courseLevel;

    public UserDataRuleForCourseInfo(UserDataRuleInfo info) {
        super.id = info.getId();
        super.userId = info.getUserId();
        super.type = info.getType();
        super.refId = info.getRefId();
        super.creationTime = info.getCreationTime();
        super.updateTime = info.getUpdateTime();
        this.courseId = info.getRefId();
    }

    public UserDataRuleForCourseInfo() {

    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

}
