package cn.com.qmth.examcloud.core.basic.service.bean.datarule;

import io.swagger.annotations.ApiModelProperty;

public class UserDataRuleForExamInfo extends UserDataRuleInfo {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "考试类型")
    private String examType;

    public UserDataRuleForExamInfo(UserDataRuleInfo info) {
        super.id = info.getId();
        super.userId = info.getUserId();
        super.type = info.getType();
        super.refId = info.getRefId();
        super.creationTime = info.getCreationTime();
        super.updateTime = info.getUpdateTime();
        this.examId = info.getRefId();
    }

    public UserDataRuleForExamInfo() {

    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

}
