package cn.com.qmth.examcloud.core.basic.service.bean.datarule;

import io.swagger.annotations.ApiModelProperty;

public class UserDataRuleForOrgInfo extends UserDataRuleInfo {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty(value = "学习中心ID")
    private Long orgId;

    @ApiModelProperty(value = "学习中心编码")
    private String orgCode;

    @ApiModelProperty(value = "学习中心名称")
    private String orgName;

    @ApiModelProperty(value = "负责人")
    private String contacts;

    public UserDataRuleForOrgInfo(UserDataRuleInfo info) {
        super.id = info.getId();
        super.userId = info.getUserId();
        super.type = info.getType();
        super.refId = info.getRefId();
        super.creationTime = info.getCreationTime();
        super.updateTime = info.getUpdateTime();
        this.orgId = info.getRefId();
    }

    public UserDataRuleForOrgInfo() {

    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

}
